Bug 55454 - (RTC)Kernel finish loading boot hangs at configuring kernel parameters
(RTC)Kernel finish loading boot hangs at configuring kernel parameters
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Depends On:
  Show dependency treegraph
Reported: 2001-10-31 11:14 EST by Reed Bement
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Reed Bement 2001-10-31 11:14:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
GUI install completes with no problems. All defaults taken. Kernel doesn't 
finish loading, hangs at: 
"Configuring kernel parameters     [ok]"

Keyboard input is still echoed. Screen goes black after ~1 min.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Clean install.

Actual Results:  Hangs as described above.

Expected Results:  Finish loading services and prompt for logon.

Additional info:

Pentium P3 550
Asus P3C-2000
20 gig IDE
Aureal Audio PCI 
NetGear FA310 PCI
Comment 1 Arjan van de Ven 2001-10-31 11:17:41 EST
can you add the parameter 'single' to the kernel commandline (in lilo or grub)
and check if there are files starting with __ in /var/lib/rpm ? (if so, delete
Comment 2 Bill Nottingham 2001-10-31 11:27:52 EST
The rpm stuff isn't until a lot later in rc.sysinit; the next thing after runing
sysctl is setting the clock...
Comment 3 Reed Bement 2001-10-31 11:53:37 EST
On this same machine I tried to install an old copy of RedHat 5.2 and it hung 
after installation with a meesage about setting the clock. The machine was 
previously running NT 4 with no problems.
Comment 4 Reed Bement 2001-10-31 12:09:17 EST
It seems there is a problem with the RTC on this machine. The time can be set 
from BIOS or DOS, but the RTC doesn't advance the time when the power is off. 
The kernel may be waiting for the RTC to advance.
Comment 5 Jeff Johnson 2001-11-04 10:47:11 EST
This isn't an rpm problem AFAICT
Comment 6 Need Real Name 2002-10-24 16:04:36 EDT
I have the same problem with 7.3.
Comment 7 Xavier Stenuit 2004-09-09 03:12:14 EDT
I've observed the same on FC2.  The cause was the following

My laptop computer (Evo N600c) remained on battery until complete 
exhaution.  When I put it back on power, linux refuses to boot 
(blocked on "Configuring kernel parameter"), and w2k seems to work, 
but the time is not running when I turn the computer again off.

Solution was very simple : remove the main battery from the laptop 
and plug it again.  At boot, RTC returns in the 80's, but at least 
linux boots again.

I guess that the lithium RTC battery is exhausted, and the main power 
supply is used to feed the RTC, probably when the main supply was 
almost empty, RTC fell in an unstable state.
Comment 8 Bugzilla owner 2004-09-30 11:39:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.